Kumusoft Solutions
EFRIS API
EFRIS API
  1. ๐Ÿงพ Invoicing
  • ๐Ÿš€ Getting started
  • ๐Ÿ” Authentication
    • Getting started
    • Calling Kumusoft APIs
    • API Keys
    • Generate auth Token
      POST
  • ๐Ÿงพ Invoicing
    • How to generate a Fiscal invoice
    • Generate fiscal invoice
      POST
    • Preview fiscal invoice
      POST
    • Search invoices
      POST
    • Invoice detils
      GET
  • ๐Ÿ“ฆ Stock Management
    • All stock items
      GET
    • Search stock items
      POST
    • Reduce stock
      POST
    • Increase stock
      POST
    • Register stock item
      POST
  • ๐Ÿ“ƒ Credit Notes
    • Issue credit note
      POST
  • โš™๏ธ Masterdata
    • Registration details
      GET
    • Get Masterdata
      GET
  • ๐Ÿ“‹ Reference
    • Overview
    • Data Sources
    • Invoice Types
    • Tax Rules
    • Return Codes
      • Overview
      • General system return codes
      • Taxpayer return codes
      • Invoice return codes
      • Credit note return codes
      • Stock management return codes
      • Device return codes
      • Invoice industry codes
  1. ๐Ÿงพ Invoicing

Generate fiscal invoice

Developing
POST
/fiscalise-invoice
Issue a fiscal invoice

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

๐ŸŸข200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://efristest.kumusoft.xyz/fiscalise-invoice' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "data": {
        "sellerDetails": {
            "referenceNo": "b005"
        },
        "basicInformation": {
            "currency": "UGX",
            "invoiceType": 1,
            "invoiceKind": 1,
            "invoiceIndustryCode": "101"
        },
        "buyerDetails": {
            "buyerBusinessName": "Buyer Name",
            "buyerLegalName": "Buyer Legal Name",
            "buyerType": "1",
            "buyerTin": ""
        },
        "itemsBought": [
            {
                "itemCode": "A001",
                "quantity": 1,
                "unitPrice": 45600,
                "total": 45600,
                "taxForm": "101",
                "taxRule": "STANDARD",
                "discountFlag": 1,
                "discountTotal": 600,
                "exciseFlag": "2",
                "exciseRate": "",
                "exciseUnit": "",
                "exciseTax": "",
                "exciseCurrency": "UGX"
            }
        ]
    }
}'
Response Response Example
{}
Previous
How to generate a Fiscal invoice
Next
Preview fiscal invoice
Built with